import request from '@/utils/axios2'

// 获取/搜索 商品列表
export const getProductList = (data) =>
  request({
    method: 'post',
    url: `/Indent_product/lists`,
    data,
  })

export const createProduct = (data) =>
  request({
    method: 'post',
    url: `/Indent_product/create`,
    data,
  })

export const updateProduct = (data) =>
  request({
    method: 'post',
    url: `/Indent_product/update`,
    data,
  })

// export const getProductDetail = (data) =>
//   request({
//     method: 'post',
//     url: `/Indent_product/details`,
//     data,
//   })

// 商品审核记录
export const getExamineRecord = (data) =>
  request({
    method: 'post',
    url: `/Indent_product/prorecord`,
    data,
  })

export const saveExamine = (data) =>
  request({
    method: 'post',
    url: `/Indent_product/prorecordSave`,
    data,
  })

export const deleteProduct = (data) =>
  request({
    method: 'post',
    url: `/Indent_product/delete`,
    data,
  })

export const getCategoryList = (data) =>
  request({
    method: 'get',
    url: `/Indent_category/lists`,
    params: data,
  })

export const editCategory = (data) =>
  request({
    method: 'post',
    url: `/Indent_category/edit`,
    data,
  })

export const createCategory = (data) =>
  request({
    method: 'post',
    url: `/Indent_category/save`,
    data,
  })

export const changeCategoryStatus = (data) =>
  request({
    method: 'post',
    url: `/Indent_category/status`,
    data,
  })
