import request from '@/utils/axios2'

export default {
  getUserList: (params) =>
    request({
      url: `/indent_admin/list`,
      method: 'GET',
      params,
    }),
  getUserSelectList: (params) =>
    request({
      url: `/indent_admin/selectList`,
      method: 'GET',
      params,
    }),
  getUserDetail: (params) =>
    request({
      url: `/indent_admin/detail/`,
      method: 'POST',
      data: params,
    }),
  delUser: (params) =>
    request({
      url: `/indent_admin/delete`,
      method: 'GET',
      params,
    }),
  login: (params) =>
    request({
      url: `/indent_login/login`,
      method: 'POST',
      data: params,
    }),
  editUser: (params) =>
    request({
      url: `/indent_admin/edit`,
      method: 'POST',
      data: params,
    }),
  addUser: (params) =>
    request({
      url: `/indent_admin/add`,
      method: 'POST',
      data: params,
    }),
  getAuditUser: (p) =>
    request({
      url: `/indent_checkusers/getList`,
      method: 'GET',
      params: p,
    }),
  setAuditUser: (p) =>
    request({
      url: `/indent_checkusers/addcheckuser`,
      method: 'POST',
      data: p,
    }),
}
